--------------------------------------------------------------------------------------------
-- library.lua - Useful functions
--------------------------------------------------------------------------------------------

--------------------------------------------------------------------------------------------
-- Returns true if the file exists
--------------------------------------------------------------------------------------------
function DoesFileExist (FullFilename)
   local filehandle = io.open (FullFilename);

   if (filehandle) then
      io.close(filehandle);
      return (true);
   end

   return (false);
end

function chomp(s)
  if (s==nil) then return (""); end

  s = string.gsub(s, "\r$", "")
  s = string.gsub(s, "\n$", "")
  s = string.gsub(s, "\r$", "")

  return (s);
end